// packageE/community_buying/business_info/business_info.js
var WxParse = require("../../../wxParse/wxParse");
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    group: {},
    deliver: {},
    themeColor: "#f14e4e",
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData(options.buyingid, options.deliver_id);
  },
  back() {
    wx.navigateBack();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  getData(id, deliver_id) {
    let that = this;
    let urlStr = app.getNetAddresss(
      "plugin.package-deliver.frontend.communityGroups.groupDetail"
    );
    app._getNetWork({
      url: urlStr,
      data: { id, deliver_id },
      success: (resdata) => {
        let res = resdata.data;
        if (res.result !== 1) return;
        let group = res.data.group;
        let deliver = res.data.deliver;
        this.setData({
          group,
          deliver,
        });
        let article = res.data.group.description;
        try {
          if (article.indexOf("&#") <= -1) {
            WxParse.wxParse("article", "html", article, that);
          }
        } catch (e) {
          console.log(e);
        }

        if (group.color) this.setData({ themeColor: group.color });
      },
    });
  },
  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
});
